获取墙的正面

public  static Face FindWallFace(Wall wall)
{
    Face normalFace =  null;
     //
    Options opt =  new Options();
    opt.ComputeReferences =  true;
    opt.DetailLevel = Autodesk.Revit.DB.DetailLevels.Medium;
     //
    GeometryElement e = wall.get_Geometry(opt);
     foreach (GeometryObject obj  in e.Objects)
    {
        Solid solid = obj  as Solid;
         if (solid !=  null && solid.Faces.Size >  0)
        {
             foreach (Face face  in solid.Faces)
            {
                PlanarFace pf = face  as PlanarFace;
                 if (pf !=  null)
                {
                     if (pf.Normal.AngleTo(wall.Orientation) <  0.01) // 数值在0到PI之间
                    {
                        normalFace = face;
                    }
                }
            }
        }
    }
     return normalFace;
}
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值